# std::multimap::merge

From cppreference.com
< cpp‎ | container‎ | multimap

template<class C2> void merge(std::map<Key, T, C2, Allocator>& source); | (1) | (since C++17)
template<class C2> void merge(std::map<Key, T, C2, Allocator>&& source); | (2) | (since C++17)
template<class C2> void merge(std::multimap<Key, T, C2, Allocator>& source); | (3) | (since C++17)
template<class C2> void merge(std::multimap<Key, T, C2, Allocator>&& source); | (4) | (since C++17)

Attempts to extract ("splice") each element in `source` and insert it into `*this` using the the comparison object of `*this`.

No elements are copied or moved, only the internal pointers of the container nodes are repointed. All pointers and references to the transferred elements remain valid, but now refer into `*this`, not into `source`.

The behavior is undefined if get_allocator() != source.get_allocator().

### Parameters

source | - | compatible container to transfer the nodes from

### Return value

(none)

### Exceptions

Does not throw unless comparison throws.

### Complexity

N*log(size()+N)), where N is `source.size()`

### Example

| This section is incomplete Reason: no example

### See also

extract (C++17) | extracts nodes from the container (public member function)
insert | inserts elements or nodes (since C++17) (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/multimap/merge&oldid=87030"
Category:

- Todo no example